summaryrefslogtreecommitdiff
path: root/dev-python/jsonschema-path
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/jsonschema-path
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/jsonschema-path')
-rw-r--r--dev-python/jsonschema-path/Manifest4
-rw-r--r--dev-python/jsonschema-path/jsonschema-path-0.3.4-r1.ebuild48
-rw-r--r--dev-python/jsonschema-path/jsonschema-path-0.4.5.ebuild50
-rw-r--r--dev-python/jsonschema-path/jsonschema-path-0.4.6.ebuild50
-rw-r--r--dev-python/jsonschema-path/jsonschema-path-0.5.0.ebuild51
-rw-r--r--dev-python/jsonschema-path/metadata.xml10
6 files changed, 213 insertions, 0 deletions
diff --git a/dev-python/jsonschema-path/Manifest b/dev-python/jsonschema-path/Manifest
new file mode 100644
index 000000000000..82d53830bb8a
--- /dev/null
+++ b/dev-python/jsonschema-path/Manifest
@@ -0,0 +1,4 @@
+DIST jsonschema-path-0.3.4.gh.tar.gz 40126 BLAKE2B cc7884ab41a0cdcfbd292831f9ed2a03f82af30f4482499c7940633741560228df59c4157457e8c44c57fb73f0f6142f10ad23d36f444fea71a84cf6309d953d SHA512 85b791a374d61bedf66a0ca44b6906ec74f02ffe991c1cb220267c85c0e7b493375d712d7ca0828681c9c15f170bc29d4b808b00778895fb13f1f7ff3cdf2a9c
+DIST jsonschema-path-0.4.5.gh.tar.gz 65269 BLAKE2B 2fffe157a1b7dc1c23c76b70b688d901dc122d9cc02ab44e9c689b3ce595af5d15709568d227f555095394b1392b03a0678e4c948757bd058f2741cc495e4cb7 SHA512 dcfc2ccbdd66c24b1863a3e7f87b727b548122aa3baf333f138efe4d3c4e9cc1ddc56a75c3457c53a40aa3e59a8828aa28a763d6afcffb4ae85a05ab8f2df056
+DIST jsonschema-path-0.4.6.gh.tar.gz 65965 BLAKE2B fe1efaf632d1a937f36ed8dcc763d9cd7ad760b4436f5e88755a6e3283bccd8b5805938a9d480cb1abc88bf538821d19702d78bb816d805520319d8392f57a3d SHA512 f9e2f6da82c35a8a927e50c66198bf05f6f253d16fd081f4bacf9051f2a20316e692bcbc83688bc8a89a197fd3e2601c2dd8ad02953048c199175fb7ac7621ca
+DIST jsonschema-path-0.5.0.gh.tar.gz 73297 BLAKE2B 63a8c4fed74f3bac9afcde010d45a7a39a2ac3ea954c77c257df15c7d4d699a88573b44fa5fb55ce8ea804fca3e2996053106daafffc9c33884baca34bfc6ec5 SHA512 42651956aea755ff317f10540ee0d78bf8e91f6d020366834861adbf93d9d5f27a52d2f750e749622ec76b9c7040c84725b35de4a0174b4b48e3083992d282d6
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.3.4-r1.ebuild b/dev-python/jsonschema-path/jsonschema-path-0.3.4-r1.ebuild
new file mode 100644
index 000000000000..d6e30e63b643
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.3.4-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+
+# requests seem "optional" but they failed at properly making it
+# optional in poetry, sigh
+RDEPEND="
+ <dev-python/pathable-0.5[${PYTHON_USEDEP}]
+ >=dev-python/pathable-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.31.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.4.5.ebuild b/dev-python/jsonschema-path/jsonschema-path-0.4.5.ebuild
new file mode 100644
index 000000000000..3fae300fe01d
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.4.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+fi
+
+RDEPEND="
+ >=dev-python/pathable-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.4.6.ebuild b/dev-python/jsonschema-path/jsonschema-path-0.4.6.ebuild
new file mode 100644
index 000000000000..3fae300fe01d
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.4.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+fi
+
+RDEPEND="
+ >=dev-python/pathable-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.5.0.ebuild b/dev-python/jsonschema-path/jsonschema-path-0.5.0.ebuild
new file mode 100644
index 000000000000..ecc904c30413
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.5.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pathable-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jsonschema-path/metadata.xml b/dev-python/jsonschema-path/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/jsonschema-path/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>